## kdenetwork 4.8.4

=== kopete/protocols/wlm/CMakeLists.txt ===
project(wlm)

# the wlm protocol uses KMime from kdepimlibs, which in turn requires Boost to work
find_package(Boost REQUIRED)
include_directories(
    ${Boost_INCLUDE_DIRS}
)

ADD_SUBDIRECTORY(icons)

set(kopete_wlm_include_DIRS
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/ui
    ${LIBMSN_INCLUDE_DIR}
)

set(kopete_wlm_ui_SRCS
   ui/wlmaddcontactpage.cpp
   ui/wlmeditaccountwidget.cpp
)

kde4_add_ui_files(kopete_wlm_ui_SRCS
    ui/wlmaddui.ui
    ui/wlminfo.ui 
    ui/wlmaccountpreferences.ui
    ui/wlmchatsessioninkpopup.ui
)

set(kopete_wlm_PART_SRCS
   ${kopete_wlm_ui_SRCS}
   wlmprotocol.cpp
   wlmcontact.cpp
   wlmaccount.cpp
   wlmlibmsn.cpp
   wlmsocket.cpp
   wlmserver.cpp
   wlmchatmanager.cpp
   wlmchatsession.cpp
   wlmchatsessioninkarea.cpp
   wlmchatsessioninkaction.cpp
   wlmtransfermanager.cpp
)

kde4_add_plugin(kopete_wlm ${kopete_wlm_PART_SRCS})

set(kopete_wlm_link_LIBS
    ${KDE4_KDEUI_LIBS} 
    ${KDE4_KUTILS_LIBS}
    ${KDE4_KIO_LIBRARY} 
    ${KDE4_KMIME_LIBS}
    ${QT_QTXML_LIBRARY} 
    ${QT_QTNETWORK_LIBRARY} 
    kopete 
    ${LIBMSN_LIBRARIES}
)

if(BUILD_WLM_MEDIASTREAMER)
    set(kopete_wlm_link_LIBS ${kopete_wlm_link_LIBS} ${MEDIASTREAMER_LIBRARIES} ${LIBORTP_LIBRARY})
    set(kopete_wlm_include_DIRS ${kopete_wlm_include_DIRS} ${MEDIASTREAMER_INCLUDE_DIR})
    add_definitions(-DHAVE_MEDIASTREAMER)
endif(BUILD_WLM_MEDIASTREAMER)

if(HAVE_GIFLIB)
    set(kopete_wlm_link_LIBS ${kopete_wlm_link_LIBS} ${GIF_LIBRARIES})
    set(kopete_wlm_include_DIRS ${kopete_wlm_include_DIRS} ${GIF_INCLUDE_DIR})
    add_definitions(-DHAVE_GIFLIB)
endif(HAVE_GIFLIB)

include_directories(${kopete_wlm_include_DIRS})
target_link_libraries(kopete_wlm ${kopete_wlm_link_LIBS})

install(TARGETS kopete_wlm  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  kopete_wlm.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  wlmchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_wlm)

=== debian/changelog ===
kdenetwork (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Add watch file.
  * Bump various kde build dependencies to 4:4.8.
  * Remove patches applied/backported upstream:
    - no_home_set.diff
    - libgadu_pthread_check.diff
    - protocols_namespaces.diff
    - upstream_r1292762.diff
  * Update installed files.
  * Add new symbol to libkopete4.symbols.

  [ Pino Toscano ]
  * Fix build failure with FORTIFY & GCC 4.7; patch
    kdenetwork-4.7.97-fix-for-g++47.patch from Fedora.

 -- Eshat Cakar <info@eshat.de>  Sun, 13 May 2012 13:42:09 +0200

kdenetwork (4:4.7.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Backport upstream r1292762 to fix building with GCC 4.7; patch
    upstream_r1292762.diff. (Closes: #672044)
  * Bump Standards-Version to 3.9.3, no changes required.
  * Update the symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 May 2012 11:40:49 -0300

=== debian/control ===
Source: kdenetwork
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8), libkonq5-dev (>= 4:4.7),
 kde-workspace-dev (>= 4:4.8),
 zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
 libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
 libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
 libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
 libotr2-dev, libboost-dev,
 libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
 libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
 libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
 libv4l-dev [linux-any], shared-desktop-ontologies (>= 0.8), libgpgme11-dev,
 libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
 libmms-dev
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git

Package: kdenetwork
Architecture: all
Depends: ${misc:Depends}, kget (>= ${source:Version}),
 kopete (>= ${source:Version}),
 krdc (>= ${source:Version}), krfb (>= ${source:Version})
Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version})
Description: networking applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes networking applications provided with the official
 release of KDE.

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kppp
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: rdesktop
Suggests: khelpcenter4, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

Package: krfb
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Recommends: kde-workspace-dbg
Suggests: kdenetwork (= ${source:Version})
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

Package: kde-zeroconf
Section: kde
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zeroconf plugins and kio slaves for KDE
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_install:
	$(overridden_command)
	if [ -d debian/kppp ]; then \
	    chown root:dip debian/kppp/usr/bin/kppp && \
	    chmod 4754 debian/kppp/usr/bin/kppp; \
	fi

override_dh_fixperms:
	$(overridden_command) -Xusr/bin/kppp

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=kdenetwork-dbg

## kdenetwork 4.8.5

=== CMakeLists.txt ===
project(kdenetwork)

set(INSIDE_KDENETWORK TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckPrototypeExists)
include(CheckTypeSize)

# If definitions like -D_GNU_SOURCE are needed for these checks they
# should be added to _KDE4_PLATFORM_DEFINITIONS when it is originally
# defined outside this file.  Here we include these definitions in
# CMAKE_REQUIRED_DEFINITIONS so they will be included in the build of
# checks below.
set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})
if (WIN32)
   set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN_LIBRARIES} )
   set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN_INCLUDES} )
endif (WIN32)

find_package(KdepimLibs REQUIRED)
# find_package(X11VidMode) not used at this time

# NX support is not ready for KDE 4.2; disabled (uwolfer)
# macro_optional_find_package(LibNXCL)
# macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")

macro_optional_find_package(JPEG)
macro_log_feature(JPEG_FOUND "libjpeg" "Development library for JPEG formatted image files" "http://www.ijg.org/" FALSE "" "Provides JPEG images in Krdc.")

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Semantic Desktop" "http://nepomuk.kde.org" FALSE "" "Nepomuk is needed for the integration into KGet")

macro_optional_find_package(Sqlite)
macro_log_feature(SQLITE_FOUND "SQLite" "SQLite is a Binary-Database" "" FALSE "" "Needed for the SQLite-Backend of the KGet-History and the Kopete-Statistic-Plugin")

macro_optional_find_package(Strigi)
macro_log_feature(STRIGI_FOUND "Strigi" "Metadata extraction" "" FALSE "" "Needed to get metadata for .torrent files")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Needed for the KGet bittorrent-plugin and some Kopete plugins")

macro_optional_find_package(QGpgme)
macro_log_feature(QGPGME_FOUND "QGpgME" "The QGpgME library" "http://www.kde.org" FALSE "" "QGpgME is required to have signature verifying support in KGet.")

macro_optional_find_package(KTorrent)
macro_log_feature(LIBKTORRENT_FOUND "libktorrent" "Backend Library of KTorrent" "http://ktorrent.org" FALSE "" "Needed to build KGet bittorrent support.")

macro_optional_find_package(LibMms)
macro_log_feature(LIBMMS_FOUND "libmms" "Library to read mms streams" "http://libmms.sourceforge.net" FALSE "" "Needed to build KGet mms support.")

option(BUILD_EXPERIMENTAL_TUBES_SUPPORT "Builds experimental Tubes support for krfb and krdc. This is a very experimental feature and should not be shipped in distribution packages." OFF)
if (BUILD_EXPERIMENTAL_TUBES_SUPPORT)
    message(WARNING "You enabled experimental Tubes support. Expect breakage!!")

    macro_optional_find_package(TelepathyQt4)
    macro_log_feature(TELEPATHY_QT4_FOUND "telepathy-qt4" "Telepathy Qt Bindings" "http://telepathy.freedesktop.org" FALSE "0.18" "Needed to build Telepathy Tubes support.")

    if(TELEPATHY_QT4_FOUND)
        add_definitions(-DTELEPATHY_SUPPORT)
        include_directories(${TELEPATHY_QT4_INCLUDE_DIR})
    endif(TELEPATHY_QT4_FOUND)
endif (BUILD_EXPERIMENTAL_TUBES_SUPPORT)

add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR})

macro_optional_add_subdirectory(kfile-plugins)
macro_optional_add_subdirectory(kget)

macro_optional_add_subdirectory(kopete)

macro_optional_add_subdirectory(krdc)

if(Q_WS_X11)
  # kppp is broken on FreeBSD >= 8.0
  # disabling until a fix appears
  if(NOT CMAKE_SYSTEM_NAME MATCHES FreeBSD AND NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL GNU)
    macro_optional_add_subdirectory(kppp)
  endif(NOT CMAKE_SYSTEM_NAME MATCHES FreeBSD AND NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL GNU)

  macro_optional_add_subdirectory(krfb)
endif(Q_WS_X11)

macro_optional_add_subdirectory(kdnssd)

option(SAMBA_INSTALL "Offer to install Samba for file sharing with PackageKit if it is not already installed, use -DSAMBA_INSTALL=off to disable, use -DSAMBA_PACKAGE_NAME= to set package name." ON)
if(NOT SAMBA_PACKAGE_NAME)
    set(SAMBA_PACKAGE_NAME \\\"samba\\\")
endif(NOT SAMBA_PACKAGE_NAME)
if(SAMBA_INSTALL)
    message(STATUS "Samba install feature will be enabled.")
    add_definitions(-DSAMBA_INSTALL)
    add_definitions(-DSAMBA_PACKAGE_NAME=${SAMBA_PACKAGE_NAME})
else(SAMBA_INSTALL)
    message(STATUS "Samba install feature will NOT be enabled.")
endif(SAMBA_INSTALL)

if(NOT WIN32)
  macro_optional_add_subdirectory(filesharing)
endif(NOT WIN32)

macro_optional_add_subdirectory(doc)
macro_display_feature_log()

=== kopete/plugins/CMakeLists.txt ===
option(WITH_latex "Enable Kopete latex plugin" ON)
option(WITH_autoreplace "Enable Kopete autoreplace plugin" ON)
option(WITH_history "Enable Kopete history plugin" ON)
option(WITH_contactnotes "Enable Kopete contactnotes plugin" ON)
option(WITH_translator "Enable Kopete translator plugin" ON)
option(WITH_nowlistening "Enable Kopete nowlistening plugin" ON)
option(WITH_texteffect "Enable Kopete texteffect plugin" ON)
option(WITH_highlight "Enable Kopete highlight plugin" ON)
#option(WITH_alias "Enable Kopete alias plugin" ON)
option(WITH_addbookmarks "Enable Kopete addbookmarks plugin" ON)
option(WITH_privacy "Enable Kopete privacy plugin" ON)
option(WITH_urlpicpreview "Enable Kopete urlpicpreview plugin" ON)
option(WITH_statistics "Enable Kopete statistics plugin" ON)
option(WITH_webpresence "Enable Kopete webpresence plugin" ON)
option(WITH_pipes "Enable Kopete pipes plugin" ON)
option(WITH_otr "Enable Kopete Off-the-Record plugin" ON)

# Laurent this plugins use shell script which will not work on windows
if (WITH_latex AND UNIX)
  add_subdirectory( latex )
endif (WITH_latex AND UNIX)
if (WITH_autoreplace)
  add_subdirectory( autoreplace )
endif (WITH_autoreplace)
if (WITH_history)
  add_subdirectory( history )
endif (WITH_history)
if (WITH_contactnotes)
  add_subdirectory( contactnotes )
endif (WITH_contactnotes)
if (WITH_translator)
  add_subdirectory( translator )
endif (WITH_translator)
if (WITH_nowlistening)
  add_subdirectory( nowlistening )
endif (WITH_nowlistening)
if (WITH_texteffect)
  add_subdirectory( texteffect )
endif (WITH_texteffect)
if (WITH_highlight)
  add_subdirectory( highlight )
endif (WITH_highlight)
#Disabled since it doesn't do anything
#if (WITH_alias)
#  add_subdirectory( alias )
#endif (WITH_alias)
if (WITH_addbookmarks)
  add_subdirectory( addbookmarks )
endif (WITH_addbookmarks)
if(NOT MSVC)
if (WITH_privacy)
  add_subdirectory( privacy )
endif (WITH_privacy)
else(NOT MSVC)
  message(STATUS "disabled privacy plugin because some KGenericFactory<> template won't compile")
endif(NOT MSVC)
if (WITH_urlpicpreview)
  add_subdirectory( urlpicpreview )
endif (WITH_urlpicpreview)
if (WITH_statistics AND SQLITE_FOUND)
  add_subdirectory ( statistics ) 
endif (WITH_statistics AND SQLITE_FOUND)
if (WITH_pipes)
  add_subdirectory ( pipes )
endif (WITH_pipes)
if(WITH_webpresence AND LIBXML2_FOUND AND LIBXSLT_FOUND)
  add_subdirectory( webpresence )
endif(WITH_webpresence AND LIBXML2_FOUND AND LIBXSLT_FOUND)
if (WITH_otr AND LIBOTR_FOUND)
  add_subdirectory ( otr )
endif (WITH_otr AND LIBOTR_FOUND)

=== krdc/konsole/CMakeLists.txt ===

set(BUILD_KONSOLE true)
if(BUILD_KONSOLE)
    set(konsoleplugin_SRCS
        konsoleviewfactory.cpp
        konsoleview.cpp
    )

    kde4_add_plugin(krdc_konsoleplugin ${konsoleplugin_SRCS})

    target_link_libraries(krdc_konsoleplugin 
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KPARTS_LIBS}
        krdccore
    )
    install(TARGETS krdc_konsoleplugin DESTINATION ${PLUGIN_INSTALL_DIR})

    install(FILES krdc_konsole.desktop DESTINATION ${SERVICES_INSTALL_DIR})
endif(BUILD_KONSOLE)

=== kopete/plugins/nowlistening/CMakeLists.txt ===

include_directories( ${KOPETE_INCLUDES} )
if(XMMS_FOUND)
  include_directories(${XMMS_INCLUDE_DIRS} )
  include_directories( ${GLIB2_INCLUDE_DIR} )
endif(XMMS_FOUND)

########### next target ###############

set(kopete_nowlistening_PART_SRCS
   nowlisteningplugin.cpp
   nlkscd.cpp
   nlxmms.cpp
   nowlisteningguiclient.cpp
   nljuk.cpp
   nlamarok.cpp
   nlquodlibet.cpp
   nlkaffeine.cpp
   nlmpris.cpp
)

kde4_add_kcfg_files(kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )

kde4_add_plugin(kopete_nowlistening ${kopete_nowlistening_PART_SRCS})


target_link_libraries(kopete_nowlistening  ${KDE4_KIO_LIBS} kopete)

if(XMMS_FOUND)
   target_link_libraries( kopete_nowlistening ${XMMS_LDFLAGS} )
endif(XMMS_FOUND)

install(TARGETS kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_nowlistening_PART_SRCS nowlisteningpreferences.cpp )

kde4_add_ui_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningprefs.ui )

kde4_add_kcfg_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )


kde4_add_plugin(kcm_kopete_nowlistening ${kcm_kopete_nowlistening_PART_SRCS})


target_link_libraries(kcm_kopete_nowlistening  ${KDE4_KUTILS_LIBS} ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS kcm_kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES nowlisteningconfig.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_nowlistening.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES nowlisteningui.rc nowlisteningchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete)
install( FILES kopete_nowlistening_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== kopete/protocols/yahoo/CMakeLists.txt ===
find_package(Jasper)
macro_log_feature(JASPER_FOUND Jasper "JasPer library implements the codec specified in the JPEG-2000 Part-1 standard" "http://www.ece.uvic.ca/~mdadams/jasper/" TRUE "" "Required in order to be able to receive and send webcam images from/to Yahoo in Kopete")

add_subdirectory( libkyahoo ) 
#add_subdirectory( ui ) 
add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/ui 
${CMAKE_CURRENT_SOURCE_DIR}/libkyahoo 
${JASPER_INCLUDE_DIR}
)

link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libkyahoo )

########### next target ###############

set(kopete_yahoo_ui_SRCS 
ui/yahooinvitelistimpl.cpp 
ui/yahoowebcamdialog.cpp 
ui/yahoouserinfodialog.cpp 
ui/yahoochatselectordialog.cpp
)

kde4_add_ui_files(kopete_yahoo_ui_SRCS 
ui/yahooadd.ui 
ui/yahooinvitelistbase.ui 
ui/yahooverifyaccountbase.ui 
ui/yahoostealthsetting.ui 
ui/yahoogeneralinfowidget.ui 
ui/yahooworkinfowidget.ui 
ui/yahoootherinfowidget.ui 
ui/yahooeditaccountbase.ui
ui/yahoochatselectorwidgetbase.ui
)

set(kopete_yahoo_PART_SRCS 
   ${kopete_yahoo_ui_SRCS} 
   yahooprotocol.cpp 
   yahoocontact.cpp 
   yahooaddcontact.cpp 
   yahooaccount.cpp 
   yahooeditaccount.cpp 
   yahooconferencemessagemanager.cpp 
   yahoochatchatsession.cpp
   yahoochatsession.cpp 
   yahooverifyaccount.cpp 
   yahoowebcam.cpp )


kde4_add_plugin(kopete_yahoo ${kopete_yahoo_PART_SRCS})

target_link_libraries(kopete_yahoo ${KDE4_KIO_LIBS} kopete kyahoo ${QT_QT3SUPPORT_LIBS} ${JASPER_LIBRARIES})
if(NOT DISABLE_VIDEOSUPPORT)
  target_link_libraries(kopete_yahoo kopete_videodevice)
endif(NOT DISABLE_VIDEOSUPPORT)

install(TARGETS kopete_yahoo  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_yahoo.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES yahooconferenceui.rc yahooimui.rc yahoochatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_yahoo)

=== debian/changelog ===
kdenetwork (4:4.8.5-0ubuntu0.2) precise-proposed; urgency=low

  * kopete should Replace/Conflict with kopete-gcall due to file conflicts
    - kopete-gcall has been dropped which is why a user should not have it
      installed (LP: #1051333)

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 15 Sep 2012 22:23:31 +0530

kdenetwork (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:48:10 +0200

kdenetwork (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:36:30 +0200

kdenetwork (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 15:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,40 @@
 Source: kdenetwork
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
- Fathi Boudra <fabo@debian.org>,
- Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8), libkonq5-dev (>= 4:4.7),
- kde-workspace-dev (>= 4:4.8),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libkonq5-dev (>= 4:4.8.1),
+ kde-workspace-dev (>= 4:4.8.1),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
  libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
- libotr2-dev, libboost-dev,
+ libotr2-dev, libboost1.46-dev,
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
- libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
- libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
- libv4l-dev [linux-any], shared-desktop-ontologies (>= 0.8), libgpgme11-dev,
- libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
- libmms-dev
+ libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
+ libstreamanalyzer-dev, libgadu-dev,
+ libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
+ libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
 
 Package: kdenetwork
 Architecture: all
 Depends: ${misc:Depends}, kget (>= ${source:Version}),
  kopete (>= ${source:Version}),
  krdc (>= ${source:Version}), krfb (>= ${source:Version})
-Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version})
+Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version}),
+ qapt-batch
 Description: networking applications from the official KDE 4 release
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -87,8 +87,10 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
 Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
+Replaces: kopete-gcall
+Conflicts: kopete-gcall
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 override_dh_install:
 	$(overridden_command)
 	if [ -d debian/kppp ]; then \
-	    chown root:dip debian/kppp/usr/bin/kppp && \
+	    chown root:dialout debian/kppp/usr/bin/kppp && \
 	    chmod 4754 debian/kppp/usr/bin/kppp; \
 	fi

## kdenetwork 4.9.2

=== debian/changelog ===
kdenetwork (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:41:58 -0400

kdenetwork (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:23:32 +0100

kdenetwork (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Make sonames more generic .so.4.9.0 becomes .so.4.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:22:47 +0530

kdenetwork (4:4.9.0-0ubuntu4) quantal; urgency=low

  * Compile with telepathy-qt support for krfb
    - Add fix_missing_header_include.diff to fix libvncviewer FTBFS

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Aug 2012 20:26:13 +0530

kdenetwork (4:4.9.0-0ubuntu3) quantal; urgency=low

  * Update package based on Debian to use Universe build-depends:
    - Add libortp-dev, libmediastreamer-dev, and libmms-dev
    - Set shared-desktop-onotolgies minimum version to 0.8
    - Update debian/kget.install and debian/kopete.install to install new
      files
  * Update debian/libkopete4.symbols

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Aug 2012 01:21:59 -0400

kdenetwork (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:49 +0100

kdenetwork (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:38:05 +0100

kdenetwork (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:15:38 +0200

kdenetwork (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
    - update libkopete4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jun 2012 22:59:40 +0200

kdenetwork (4:4.8.3-0ubuntu2) quantal; urgency=low

  * Drop DEB_BUILD_OPTIONS=noopt in favour of kubuntu_fix_for_g++47.diff
    from Fedora.
  * Refresh libkopete4.symbols again

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 20 May 2012 22:06:33 +0200

kdenetwork (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update symbol files for gcc 4.7 
  * Build with DEB_BUILD_OPTIONS=noopt to work around bug 1002030
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 20 May 2012 21:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libkonq5-dev (>= 4:4.8.1),
- kde-workspace-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2), libkonq5-dev (>= 4:4.9.1),
+ kde-workspace-dev (>= 4:4.9.2),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
  libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
- libotr2-dev, libboost1.46-dev,
+ libotr2-dev, libboost1.49-dev,
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
- libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
- libstreamanalyzer-dev, libgadu-dev,
- libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
- libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev
+ libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
+ libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
+ libv4l-dev [linux-any], shared-desktop-ontologies (>= 0.8), libgpgme11-dev,
+ libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
+ libmms-dev, libtelepathy-qt4-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
@@ -89,8 +90,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
 Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
-Replaces: kopete-gcall
-Conflicts: kopete-gcall
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced

## kdenetwork 4.9.4

=== debian/changelog ===
kdenetwork (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:56:11 +0100

kdenetwork (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - drop kopete_crash_fix.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:35:34 +0100

kdenetwork (4:4.9.2-0ubuntu2.1) quantal-proposed; urgency=low

  * Cherrypick fix from upstream to solve kopete crashes when contacts
    are moved or deleted (LP: #1072785)

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 29 Oct 2012 17:13:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2), libkonq5-dev (>= 4:4.9.1),
- kde-workspace-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4), libkonq5-dev (>= 4:4.9.4),
+ kde-workspace-dev (>= 4:4.9.4),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),

## kdenetwork 4.9.5

=== debian/changelog ===
kdenetwork (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:32:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4), libkonq5-dev (>= 4:4.9.4),
- kde-workspace-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5), libkonq5-dev (>= 4:4.9.4),
+ kde-workspace-dev (>= 4:4.9.5),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),

## kdenetwork 4.10.0

=== debian/changelog ===
kdenetwork (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:48:09 +0000

kdenetwork (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Remove kubuntu_01_fix_kopete_notifications_away.diff fixed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:27:46 +0000

kdenetwork (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:31:25 +0100

kdenetwork (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:25:51 +0000

kdenetwork (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:48:48 +0000

kdenetwork (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Remove fix_missing_header_include.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:54:22 +0000

kdenetwork (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop kopete_crash_fix.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:32:44 +0100

kdenetwork (4:4.9.2-0ubuntu3) raring; urgency=low

  * Cherrypick fix from upstream to solve kopete crashes when contacts
    are moved or deleted (LP: #1072785)

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 29 Oct 2012 17:13:36 +0100

kdenetwork (4:4.7.2-0r1) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependencies on other KDE SC packages to 4:4.7.
  * Add libmms-dev to Build-Depends.
  * Add ${perl:Depends} to kopete Depends.
  * Update installed files.
  * Update symbols files.
  * Refresh patches.
  * Manage package renames:
    - Build depend on kde-workspace-dev instead of kdebase-workspace-dev.
    - kdenetwork-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
    - kdenetwork-dbg recommends kde-workspace-dbg instead of
      kdebase-workspace-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 Oct 2011 12:55:24 -0300

kdenetwork (4:4.4.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 27 Jul 2010 11:55:45 +0200

kdenetwork (4:4.0.73+svn806279-1~pre1) raring; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r806279 by jgoday
    - Date: Sun, 11 May 2008 01:54:57 -0000

  * kget works (Closes: #477332).
 
  +++ Changes by Modestas Vainius:

  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 May 2008 18:59:07 +0300

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5), libkonq5-dev (>= 4:4.9.4),
- kde-workspace-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0), libkonq5-dev (>= 4:4.10.0),
+ kde-workspace-dev (>= 4:4.10.0),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),

## kdenetwork 4.10.2+dfsg

=== debian/changelog ===
kdenetwork (4:4.10.2+dfsg-0ubuntu1) raring; urgency=low

  * Do not install Skype™ plugin. (LP: #1163504)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 16:02:14 +0100

kdenetwork (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update kget.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:44:29 +0200

kdenetwork (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add debian/patches/kubuntu_krfb_link_to_pthread.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Mar 2013 15:33:10 +0000

## kdenetwork 4.10.5+dfsg1

=== debian/changelog ===
kdenetwork (4:4.10.5+dfsg1-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)
    - add kubuntu_install_doc.diff to install kget docs
    - add ./usr/lib/strigi/strigita_torrent_analyzer.so to not-installed as it
      wasn't shipped in 4.10.4
  * Repack to include missing license copies in krfb

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 03 Jul 2013 21:26:18 +0200

kdenetwork (4:4.10.4+dfsg-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574) 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:28:34 +0200

kdenetwork (4:4.10.3+dfsg-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358) 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 20:01:09 +0200

kdenetwork (4:4.10.2+dfsg-0ubuntu1) raring-proposed; urgency=low

  * Do not install Skype™ plugin. (LP: #1163504)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 16:02:14 +0100

kdenetwork (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update kget.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:44:29 +0200

kdenetwork (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Add debian/patches/kubuntu_krfb_link_to_pthread.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Mar 2013 15:33:10 +0000

kdenetwork (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:48:09 +0000

kdenetwork (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate
  * Remove kubuntu_01_fix_kopete_notifications_away.diff fixed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:27:46 +0000

kdenetwork (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:31:25 +0100

kdenetwork (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:25:51 +0000

kdenetwork (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:48:48 +0000

kdenetwork (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove fix_missing_header_include.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:54:22 +0000

kdenetwork (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - drop kopete_crash_fix.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:32:44 +0100

kdenetwork (4:4.9.2-0ubuntu3) raring-proposed; urgency=low

  * Cherrypick fix from upstream to solve kopete crashes when contacts
    are moved or deleted (LP: #1072785)

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 29 Oct 2012 17:13:36 +0100

kdenetwork (4:4.7.2-0r1) raring-proposed; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependencies on other KDE SC packages to 4:4.7.
  * Add libmms-dev to Build-Depends.
  * Add ${perl:Depends} to kopete Depends.
  * Update installed files.
  * Update symbols files.
  * Refresh patches.
  * Manage package renames:
    - Build depend on kde-workspace-dev instead of kdebase-workspace-dev.
    - kdenetwork-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
    - kdenetwork-dbg recommends kde-workspace-dbg instead of
      kdebase-workspace-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 Oct 2011 12:55:24 -0300

kdenetwork (4:4.4.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 27 Jul 2010 11:55:45 +0200

kdenetwork (4:4.0.73+svn806279-1~pre1) raring-proposed; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r806279 by jgoday
    - Date: Sun, 11 May 2008 01:54:57 -0000

  * kget works (Closes: #477332).
 
  +++ Changes by Modestas Vainius:

  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 May 2008 18:59:07 +0300

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0), libkonq5-dev (>= 4:4.10.0),
- kde-workspace-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2), libkonq5-dev (>= 4:4.10.2),
+ kde-workspace-dev (>= 4:4.10.2),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),

## kdenetwork 980328-1

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	dh_testdir
## prefix is useless and leads to problems, since configure looks for
## $prefix/include only, if it's given
	( CFLAGS="-O2 -g -Wall" \
	 CXXFLAGS="-O2 -g -Wall" \
	./configure --enable-debug --with-install-root=`pwd`/debian/tmp \
	--disable-rpath )

	make

	touch build

clean:
	dh_testdir
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.moc"`
	-rm -rf debian/tmp debian/files* core debian/substvars \
		debian/menu debian/*shlibs* 
	-rm -f config.log libtool

binary-indep:	build
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testroot
	dh_testdir
	dh_clean -k
	make install 
	chmod +x debian/kderules
	debian/kderules
	dh_movefiles
	dh_undocumented `cat debian/man-pages`
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
